{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, entid, repository\r\n\r\nFirstPopup:\r\nOverRide = ''\r\nPopupId = entid( @appid<1>, 'POPUP', '', 'MAINT_WIZARD' )\r\nChoosenOpt = repository( 'EXECUTE', PopupId, @window, OverRide )\r\nif ChoosenOpt <> '' then\r\n   * concatenate the choosen opt for the next popup\r\n   SecondPopup:\r\n   PopupId = entid( @appid<1>, 'POPUP', '', 'MAINT_WIZARD':ChoosenOpt )\r\n   ChoosenOpt2 = repository( 'EXECUTE', PopupId, @window, OverRide )\r\n   if ChoosenOpt2 <> '' then\r\n      if len(ChoosenOpt2) = 1 then\r\n         PopupId = entid( @appid<1>, 'POPUP', '', 'MAINT_WIZARD':ChoosenOpt:ChoosenOpt2 )\r\n         ChoosenOpt3 = repository( 'EXECUTE', PopupId, @window, OverRide )\r\n         if ChoosenOpt3 <> '' then\r\n            .serviceedit->text = ChoosenOpt3\r\n         end else\r\n            goto SecondPopup\r\n         end\r\n      end else\r\n         .serviceedit->text = ChoosenOpt2\r\n      end\r\n   end else\r\n      goto FirstPopup\r\n   end\r\nend\r\nRETURN 0"
        }
    }
}